@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;600;700&display=swap');

body {
    margin: 0;
    /*font-family: 'Montserrat', sans-serif;*/
    color: #2E2E2E;
    line-height: 1.6;
    overflow-x: hidden;
   min-width: 320px;
    background-color: rgba(191, 216, 159, 1);
}

.language-icons img {
    cursor: pointer;
    transition: transform 0.2s ease;
    /*padding-right: 10px;*/
    height:24px
}

.language-icons img:hover {
    transform: scale(1.1);
    /*box-shadow: 0 0 8px rgba(255, 255, 255, 0.8);*/
}

.paddingZero{
    padding: 0 0 0 0;
}

.navbar {
    margin-bottom: 0;
    border: 0;
    font-size: 15px !important; 
    letter-spacing: 1px;
    background-color: rgba(0, 0, 0, 30%);
}


.navbar li a, navbar .navbar-brand {
        color: white;
        text-shadow: 1px 1px 2px black;
        /*font-weight: bold;*/
        font-family: 'Lucida Sans Unicode';
    }

/* .navbar-nav li a:hover {
    /*transform: scale(0.95);*/
    /*font-weight: 600;*/
    /* text-decoration:underline; 
} */
.navbar-nav .nav-link.active {
   font-weight: 500;
}

.nav-link:hover{
    color: #BFD8A1 !important; 
}

.navbar-toggler,
.navbar-toggler:focus,
.navbar-toggler:active {
    border-color: transparent !important;
    box-shadow: none !important;
    outline: none !important;
    background-color: #BFD8A1;
    margin-right: 25px;
    opacity: 0.8;
}
.navbar>.container-fluid{
    margin-top:5px
}

.navbar-toggler-icon {
    
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='white' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}

.page-images {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    height: 50vh;
    overflow: hidden;
}

.middleSubSection1NoWrap{
    white-space: nowrap;       /* Evita quebra de linha */
    text-overflow: ellipsis;   /* Mostra "..." se ultrapassar */
}

.logo {
    height: 120px;
    width: 120px; 
}

.logo-position{
    z-index:3;
    position:relative;
}

.groupimages{
    height: 80px;
    width: 80px; 
}

.groupimages-card {
    height: 30px;
    width: 30px;
}

.row {
  display: flex;
  
  justify-content: center;  /* Alinha horizontalmente ao centro */
  align-items: flex-start; /* colunas comecem do topo da linha */
  margin: 0 auto;
}

.row center{
    height: 300px; 
    display: flex; 
    align-items: center; 
    justify-content: center;
}

.footerRow{
    padding-top: 15px !important;
    
}

footer p {
    white-space: nowrap;       /* Evita quebra de linha */
    text-overflow: ellipsis;   /* Mostra "..." se ultrapassar */
}

 footer.footerBackground .col-sm-3.col-md-2 h4,
footer.footerBackground .col-sm-3.col-md-2 p {
  margin-top: 0;
  margin-bottom: 2px;
  
} 

footer .btn-social i {
    color: #000000 !important;
}

footer a {
  text-decoration: none;
  color: black;
  cursor: pointer;
  display: inline-block;
  transition: transform 0.3s ease;
}

footer a:hover {
  transform: scale(0.9);
   font-weight: 550;
   letter-spacing: 2px;
}

.footerBackground {
    /*background-image: url('./assets/images/leaf_background.jpg');*/
    background-image: url('./assets/images/rodape1.png');
    background-size: cover; /* Scales the image to cover the screen */
    background-repeat: no-repeat; /* Prevents the image from repeating */
    background-position: center; /* Centers the image */
}

.footerContactosHeight{
    margin-top: 15px !important;
    /* margin-bottom: 2px!important; */
}

footer::before { /*transicao entre secoes para melhor look and feel*/
        content: "";
        display: block;
        height: 60px;
        background: linear-gradient(rgba(191, 216, 159, 1), rgba(191, 216, 159, 0));
}

.logo img {
    width: 100%;
    height: auto;
}

/* .video{
    height: 55vh;
    overflow: hidden;
} */

/* .language-icons {
    position: absolute;
    top: 5px;
    right: 120px;
    display: flex;
    gap: 5px;
    z-index: 4;
}

.language-icons img {
    transform: scale(0.8);
    width: 30px;
    height: 30px;
    cursor: pointer;
    border-radius: 50%;
    border: 2px solid #000000;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
} */



/* nav ul {
    display: flex;
    gap: 20px;
    list-style: none;
    margin: 0;
    padding: 0;
}

nav a {
    text-decoration: none;
    color: #2E2E2E;
    font-weight: bold;
    transition: color 0.3s ease;
}

nav a:hover {
    color: #4CAF50;
} */

/* header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 50px;
    background-color: #e8f5e9a6;
    position: fixed;
    width: 100%;
    top: 0;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    z-index: 3;
} */

.hero {
    height: 85vh;
    background: url('./assets/videos/20250324_143052-CINEMATIC.jpg') no-repeat center center;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    padding-left: 80px;
    padding-top: 200px; /* Move text higher */
    text-align: left;
    color: #ffffff;
    position: relative;
    z-index: 1; /* Ensures hero image is below other elements */
}

.page-titles {
    position: relative;
    z-index: 2;
    font-weight: bold;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
    /*margin-bottom: 5px;*/
    color: #ffffff;
}

.hero p {
    position: relative;
    z-index: 2;
    font-size: 1.25rem;
    max-width: 400px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

.features {
    display: flex;
    justify-content: space-around;
    padding: 50px;
    background-color: #ffffffb9;
}

.feature {
    max-width: 300px;
    text-align: center;
}


.logo-push-up{
    margin-bottom: 100px;
}


.btn-outline{
    height: 40px;
    width: 40px;
    color: white;
    line-height: 50px;    
    border-radius: 100%;
    display: inline-block;
    transition: all 0.3s ease-in-out;
}

.btn-outline:hover,
.btn-outline:focus,
.btn-outline:active,
.btn-outline:active{
    color: #18BC9C;
    background: white;
}

#home {
    position: relative;
    height: 100vh; /* ou altura fixa, se necessário */
    z-index: 1;
}

.move-right {
    margin-right: 0px;
}
.nav-panel{
   background-color: transparent;
}

.nav-border-bottom
{
    border-bottom: 1px solid white;
}

/*smartphones <768px*/
@media(max-width:768px){
    .middleSubSection1 {
        color: white;
        left: 50%;
        transform: translate(-0%, -80%);
        z-index: 2;
    }
    .footerContactosHeight{
        margin-top: 1px
    }
    .middleSubSection1NoWrap{
        white-space: normal;      
        text-overflow: unset;     
    }
    .logo-position{
        position:relative;
    }
    .logo-push-up{
        margin-bottom: 20%;
    }
    .move-right {
        text-align: end;
        text-align: end;
        margin-right: 20px;
        margin-left: 20px;
        margin-top: 20px;
    }
    .nav-panel{
        background-color: none;
        margin-left: 40%;
        margin-right: 20px;
    }
    .navbar-nav .nav-link.active {
        font-weight: 500;
        border-bottom: 1px solid white;
    }
    .navbar {
        background-color: rgba(0, 0, 0, 40%);
    }
}

/*tablets >=768px*/
@media(min-width:768px){
    .middleSubSection1 {
        color: white;
        left: 50%;
        transform: translate(-0%, -80%);
        z-index: 2;
    }
     .logo-push-up{
        margin-bottom: 20%;
    }
    .move-right {
        text-align: end;
        text-align: end;
        margin-right: 20px;
        margin-left: 20px;
        margin-top: 20px;
    }
    .nav-panel{
        background-color: none ;
        margin-left: 60%;
        margin-right: 20px;
    }
        .ns-bar {
        background-color: rgb(0 0 0 / 80%);
    }
}


/*desktops >=992px*/
@media(min-width:992px){
    
    /* body {
        background-image: url('./assets/images/Footer_bk.jpeg');
        background-size: cover;        
        background-repeat: no-repeat;  
        background-position: center;   
        background-attachment: fixed;  
    } */

   

    .middleSubSection1 {
        color: white;
        left: 50%;
        transform: translate(-0%, -82%);
        z-index: 2;
    }

    .align-center-row {
        display: flex;
        align-items: center; /* Vertically center */
        justify-content: center; /* Horizontally center (optional) */
        gap: 1rem; /* Space between image and text */
    }
    .logo-push-up{
         margin-bottom: 5%;
    }
    .nav-panel{
        background-color: transparent;
         margin-left: 0px
    }
}

.top-left-overlay {
    position: absolute;
    top: 300px; /* Increased from 32px to 80px for better visibility */
    left: 32px;
    z-index: 2;
    margin: 0;
    width: auto;
    max-width: 90vw;
}

.align-center-row {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.align-center-column {
    display: flex;
    flex-direction: column;
    align-items: center; /* Center horizontally */
    justify-content: center;
    text-align: center;
}

.text-shadow {
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
    font-weight:normal;
}


.content-center {
    position: absolute;
    top: 50%;
    left: 20%;
    transform: translate(-50%, -50%);
    z-index: 2;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    max-width: 90vw;
}

.align-center-column {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.logo-top-left {
    position: absolute;
    top: 50px; /* Adjust as needed */
    left: 80px; /* Adjust as needed */
    z-index: 3;
    width: 150px; /* 100px * 1.5 = 150px */
    height: 150px; /* 100px * 1.5 = 150px */
}

.logo-text-flex {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem; /* Adjust spacing between image and text */
    width: 150px; /* 100px * 1.5 = 150px */
    height: 150px; /* 100px * 1.5 = 150px */
}

    .logo-text-flex img {
        flex-shrink: 0;
    }

    .logo-text-flex h1,
    .logo-text-flex h4 {
        text-align: left;
    }



.content-center {
    position: absolute;
    top: 85%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    display: flex;
    justify-content: center;
    align-items: center;
    width: auto;
    max-width: 90vw;
}

.logo-text-flex {
    display: flex;
    align-items: center;
    /*gap: 1rem;*/ /* Adjust spacing as needed */
}

    .logo-text-flex img {
        flex-shrink: 0;
    }

.logo-size {
    width: 75px; /* 100px * 1.5 = 150px */
    height: 75px; /* 100px * 1.5 = 150px */
}

.brand-strong {
    color: white;
    text-shadow: 2px 2px 8px rgba(0,0,0,0.8), 0 1px 0 #333;
    font-size: 1.5rem;
    font-family:  sans-serif
}

.text-header-size {
    width: 85px;
    height: 85px;
    /*transform: scale(0.5);*/
    padding: 1px 1px 1px 1px;
}

.no-link {
    text-decoration: none;
    color: inherit;
    /*cursor: default;*/
}

.container-index {
    max-width: 950px;
    margin: 40px auto;
    padding: 10px 10px;
}

.row-index {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

/* CSS */
.card-index {
    background-color: rgba(255,255,255,0.7);
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
    width: 85%;
    padding: 1.5rem;
    text-align: center;
    font-family: sans-serif;
}

.card-icon-index img {
    width: 120px;
    height: 120px;
    display: block;
    margin: 0 auto 1rem;
}

.card-title-index {
    font-size: 1.25rem;
    color: #2e3a2b;
    margin-bottom: 1.5rem;
}

.image-item {
    width: 100%;
    height: 100%;
    border-radius: 8px;
    border: 4px solid rgba(255, 255, 255, 0.5);
    box-shadow: 0 2px 6px rgba(0,0,0,0.1);
    vertical-align: middle
}